"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.initializeConfig = void 0;
const web3_js_1 = require("@solana/web3.js");
function initializeConfig(program, params) {
    return __awaiter(this, void 0, void 0, function* () {
        const { configId, escrowConfigPubkey, tradeConfigAuthority, amlPolicyAuthority, treasuryPubkey, deployer, bondSize, arbitratorCommission, treasuryShare, paymentDuration, cancelPenaltyRate, configRentVaultPDA, startTradeId, } = params;
        const ix = yield program.methods
            .initializeConfig(configId, tradeConfigAuthority, amlPolicyAuthority, treasuryPubkey, bondSize, arbitratorCommission, treasuryShare, paymentDuration, cancelPenaltyRate, startTradeId, configRentVaultPDA.bump)
            .accounts({
            config: escrowConfigPubkey,
            configRentVault: configRentVaultPDA.key,
            deployer,
            systemProgram: web3_js_1.SystemProgram.programId,
        })
            .instruction();
        return {
            instructions: [ix],
            cleanupInstructions: [],
            signers: [],
        };
    });
}
exports.initializeConfig = initializeConfig;
