/// <reference types="bn.js" />
import { Instruction } from "@orca-so/common-sdk";
import { PublicKey, AccountMeta } from "@solana/web3.js";
import { Program, BN } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
import { PDAInfo } from "../pda";
export type MakeOfferOracleParams = {
    configAccount: PublicKey;
    marketAccount: PublicKey;
    marketTokenVault: PublicKey;
    marketNativeVault: PublicKey;
    side: object;
    bondType: object;
    offerPDA: PDAInfo;
    tokenMint: PublicKey;
    userTokenAccount: PublicKey;
    oracleProduct: PublicKey;
    oraclePrice: PublicKey;
    user: PublicKey;
    minTradeSize: BN;
    tokenAmount: BN;
    fiatAmount: BN;
    remainingAccounts: AccountMeta[];
    encryptedBankName: string | null;
    encryptedAccountNumber: string | null;
    encryptedAccountName: string | null;
    nonce: string | null;
};
export declare function makeOfferOracle(program: Program<Escrow>, params: MakeOfferOracleParams): Promise<Instruction>;
