import { TransactionBuilder, Instruction } from "@orca-so/common-sdk";
import { EscrowContext } from "./context";
import * as ixs from "./instructions";
export declare class EscrowIx {
    ctx: EscrowContext;
    ix: Instruction | null | undefined;
    constructor(ctx: EscrowContext, ix?: Instruction);
    initializeConfigIx(params: ixs.InitializeConfigParams): Promise<this>;
    initializeMarketIx(params: ixs.InitializeMarketParams): Promise<this>;
    setTradeConfigAuthorityIx(params: ixs.SetTradeConfigAuthorityParams): Promise<this>;
    setAmlPolicyAuthorityIx(params: ixs.SetAmlPolicyAuthorityParams): Promise<this>;
    addArbitratorCertIx(params: ixs.AddArbitratorCertParams): Promise<this>;
    addTokenMetadataIx(params: ixs.AddTokenMetadataParams): Promise<this>;
    addTokenOracleMetadataIx(params: ixs.AddTokenOracleMetadataParams): Promise<this>;
    setRenecRateIx(params: ixs.SetRenecRateParams): Promise<this>;
    setUsdRateIx(params: ixs.SetUsdRateParams): Promise<this>;
    setMinimumOfferSize(params: ixs.SetMinimumOfferSize): Promise<this>;
    updateMarketIx(params: ixs.UpdateMarketParams): Promise<this>;
    removeArbitratorCertIx(params: ixs.RemoveArbitratorCertParams): Promise<this>;
    initKycCertIx(params: ixs.InitKycCertParams): Promise<this>;
    setKycCertIx(params: ixs.SetKycCertParams): Promise<this>;
    makeOfferIx(params: ixs.MakeOfferParams): Promise<this>;
    makeOfferOracleIx(params: ixs.MakeOfferOracleParams): Promise<this>;
    matchingEngineIx(params: ixs.MatchingEngineParams): Promise<this>;
    cancelOfferIx(params: ixs.CancelOfferParams): Promise<this>;
    cancelTradeIx(params: ixs.CancelTradeParams): Promise<this>;
    callArbitrator(params: ixs.CallArbitratorParams): Promise<this>;
    releaseIx(params: ixs.ReleaseParams): Promise<this>;
    resolveDispute(params: ixs.ResolveDisputeParams): Promise<this>;
    savePaymentEvidence(params: ixs.SavePaymentEvidence): Promise<this>;
    toTx(): TransactionBuilder;
}
