/// <reference types="bn.js" />
import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program, BN } from "@project-serum/anchor";
import { Escrow } from "../../artifacts/escrow";
import { PDAInfo } from "../../pda";
export type PocMakeOfferParams = {
    market: PublicKey;
    marketTokenVault: PublicKey;
    marketNativeVault: PublicKey;
    configRentVault: PublicKey;
    side: object;
    bondType: object;
    offerPDA: PDAInfo;
    tokenMint: PublicKey;
    userTokenAccount: PublicKey;
    user: PublicKey;
    minTradeSize: BN;
    tokenAmount: BN;
    fiatAmount: BN;
    encryptedBankName: string | null;
    encryptedAccountNumber: string | null;
    encryptedAccountName: string | null;
    nonce: string | null;
};
export declare function pocMakeOffer(program: Program<Escrow>, params: PocMakeOfferParams): Promise<Instruction>;
